Bug 1222690 - Review Request: gap-pkg-fga - Free group algorithms for GAP
Summary: Review Request: gap-pkg-fga - Free group algorithms for GAP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-18 20:26 UTC by Jerry James
Modified: 2015-06-10 19:06 UTC (History)
2 users (show)

Fixed In Version: gap-pkg-fga-1.2.0-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-10 19:06:00 UTC
puntogil: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jerry James 2015-05-18 20:26:34 UTC
Spec URL: https://jjames.fedorapeople.org/gap-pkg-fga/gap-pkg-fga.spec
SRPM URL: https://jjames.fedorapeople.org/gap-pkg-fga/gap-pkg-fga-1.2.0-1.fc23.src.rpm
Fedora Account System Username: jjames
Description: The FGA package provides methods for computations with finitely generated subgroups of free groups.

It allows you to (constructively) test membership and conjugacy, and to compute free generators, the rank, the index, normalizers, centralizers, and intersections where the groups involved are finitely generated subgroups of free groups.

In addition, it provides generators and a finite presentation for the automorphism group of a finitely generated free group and allows to write any such automorphism as word in these generators.

Comment 1 gil cattaneo 2015-05-27 16:55:47 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
 NOTE: manual review

===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 4 files have unknown license. Detailed
     output of licensecheck in /home/gil/1222690-gap-pkg-fga/srpm/review-
     gap-pkg-fga/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/licenses
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/licenses
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Reviewer should test that the package builds in mock.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.8 starting (python version = 2.7.5)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.8
INFO: Mock Version: 1.2.8
Finish: chroot init
INFO: installing package(s): /home/gil/1222690-gap-pkg-fga/srpm/gap-pkg-fga-1.2.0-1.fc23.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-i386/root/ --releasever 23 install /home/gil/1222690-gap-pkg-fga/srpm/gap-pkg-fga-1.2.0-1.fc23.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: gap-pkg-fga-1.2.0-1.fc23.noarch.rpm
          gap-pkg-fga-1.2.0-1.fc23.src.rpm
gap-pkg-fga.noarch: W: spelling-error %description -l en_US conjugacy -> conjugation, conjugal
gap-pkg-fga.noarch: W: spelling-error %description -l en_US normalizers -> normalizes, normalize rs, normalize-rs
gap-pkg-fga.noarch: W: spelling-error %description -l en_US automorphism -> metamorphism
gap-pkg-fga.noarch: W: invalid-url URL: http://www.icm.tu-bs.de/ag_algebra/software/FGA/ <urlopen error [Errno -2] Name or service not known>
gap-pkg-fga.noarch: W: only-non-binary-in-usr-lib
gap-pkg-fga.noarch: E: incorrect-fsf-address /usr/share/licenses/gap-pkg-fga/COPYING
gap-pkg-fga.src: W: spelling-error %description -l en_US conjugacy -> conjugation, conjugal
gap-pkg-fga.src: W: spelling-error %description -l en_US normalizers -> normalizes, normalize rs, normalize-rs
gap-pkg-fga.src: W: spelling-error %description -l en_US automorphism -> metamorphism
2 packages and 0 specfiles checked; 1 errors, 8 warnings.




Requires
--------
gap-pkg-fga (rpmlib, GLIBC filtered):
    /usr/bin/update-gap-workspace
    gap-core



Provides
--------
gap-pkg-fga:
    gap-pkg-fga



Source checksums
----------------
http://www.icm.tu-bs.de/ag_algebra/software/FGA/FGA-1.2.0.tar.gz :
  CHECKSUM(SHA256) this package     : 55262a7300c243cae11cb313d97086e1d99e8b5d94260c56513cb7aab0e5d13d
  CHECKSUM(SHA256) upstream package : 55262a7300c243cae11cb313d97086e1d99e8b5d94260c56513cb7aab0e5d13d


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -vpn gap-pkg-fga -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Jerry James 2015-05-29 04:06:01 UTC
Thanks once again for the review!

Comment 3 Jerry James 2015-05-29 04:07:15 UTC
New Package SCM Request
=======================
Package Name: gap-pkg-fga
Short Description: Free group algorithms for GAP
Upstream URL: http://www.icm.tu-bs.de/ag_algebra/software/FGA/
Owners: jjames
Branches: f22
InitialCC:

Comment 4 Gwyn Ciesla 2015-05-29 12:14:39 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2015-05-29 22:39:19 UTC
gap-pkg-fga-1.2.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/gap-pkg-fga-1.2.0-1.fc22

Comment 6 Fedora Update System 2015-06-01 17:01:30 UTC
gap-pkg-fga-1.2.0-1.fc22 has been pushed to the Fedora 22 testing repository.

Comment 7 Fedora Update System 2015-06-10 19:06:00 UTC
gap-pkg-fga-1.2.0-1.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.